// JavaScript Document
jQuery(document).ready(function() 
{
(function() {
    tinymce.create('tinymce.plugins.festiDocsNavigation', {
        init: function(ed, url) {
            var siteUrl = '//' + document.domain + '/';
            var pluginUrl = siteUrl + 'wp-content/plugins/wordpress-documentation-builder/';
            var imagesUrl = pluginUrl + 'static/images/'

            ed.addCommand('mcefestiDocsNavigation', function() {
                ed.windowManager.open({
                    title: 'Custom button',
                    body: [
                        {
                            type: 'textbox',
                            name: 'title',
                            label: 'Title'
                        },
                        {
                            type: 'textbox',
                            name: 'url',
                            label: 'Url'
                        },
                        {
                            type: 'listbox', 
                            name: 'target', 
                            label: 'Target', 
                            'values': [
                                {text: 'self', value: '_self'},
                                {text: 'blank', value: '_blank'}
                            ]
                        }
                    ],
                    onsubmit: function( e ) {
                        var content = '[DocumentorCustomButton';
                        content += ' title="' + e.data.title + '"';
                        content += ' url="' + e.data.url + '"';
                        content += ' target="' + e.data.target + '"';
                        content += '] ';
                        ed.insertContent(content);
                    }
                });
            });

// Register example button
            ed.addButton('festiDocsNavigationButton', {
                title: 'Insert Custom Button',
                cmd: 'mcefestiDocsNavigation',
                image :  '../wp-content/plugins/wordpress-documentation-builder/static/images/custom_button.png'
            });
        }
    });

// Register plugin
    tinymce.PluginManager.add('festiDocsNavigation', tinymce.plugins.festiDocsNavigation);
})();

}); 