// JavaScript Document
jQuery(document).ready(function() 
{
(function() {
    tinymce.create('tinymce.plugins.festiDocs', {
        init: function(ed, url) {
            var chekboxList = [];
    
            for(property in festiDocsVersions) { 
                var festiDocsObject = festiDocsVersions[property];
                chekboxList.push({
                    'type': 'checkbox',
                    'name': 'versions_' + festiDocsObject.id,
                    'text': festiDocsObject.name
                });
            } 

            var siteUrl = '//' + document.domain + '/';
            var pluginUrl = siteUrl + 'wp-content/plugins/wordpress-documentation-builder/';
            var imagesUrl = pluginUrl + 'static/images/'

            ed.addCommand('mcefestiDocs', function() {
                ed.windowManager.open({
                    title: 'Select Versions',
                    body: chekboxList,
                    onsubmit: function( e ) {
                        var n = 0;
                        var versions = '';
                        for(property in festiDocsVersions) {
                            var festiDocsObject = festiDocsVersions[property];
                            var active = e.data['versions_' + property];
                            if (active)
                            {
                                n++;
                                if (n != 1) {
                                   versions += ', '; 
                                }
                                
                                versions += festiDocsObject.name;
                            }
                        }
                        
                        if (versions != '') {
                            versions = ' versions="' + versions +'"';
                        }

                        var content = '[DocumentorSnippet' + versions + '] ';
                        content += ed.selection.getContent();
                        content += ' [/DocumentorSnippet]';
                        ed.insertContent(content);
                    }
                });
            });

// Register example button
            ed.addButton('festiDocsButton', {
                title: 'Separate version content',
                cmd: 'mcefestiDocs',
                image : '../wp-content/plugins/wordpress-documentation-builder/static/images/versions_button.png'
            });
        }
    });

// Register plugin
    tinymce.PluginManager.add('festiDocs', tinymce.plugins.festiDocs);
})();

}); 